SUSE Container Update Advisory: suse/sles12sp4
-----------------------------------------------------------------
Container Advisory ID : SUSE-CU-2021:295-1
Container Tags        : suse/sles12sp4:26.340 , suse/sles12sp4:latest
Container Release     : 26.340
Severity              : important
Type                  : security
References            : 1154661 1187466 1188698 1188891 1189521 CVE-2019-18218 CVE-2021-3712
-----------------------------------------------------------------

The container suse/sles12sp4 was updated. The following patches have been included in this update:

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2021:2826-1
Released:    Tue Aug 24 16:16:02 2021
Summary:     Security update for openssl-1_0_0
Type:        security
Severity:    important
References:  1189521,CVE-2021-3712
This update for openssl-1_0_0 fixes the following issues:

- CVE-2021-3712: a bug in the code for printing certificate details could
  lead to a buffer overrun that a malicious actor could exploit to crash
  the application, causing a denial-of-service attack. [bsc#1189521]

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2021:2859-1
Released:    Fri Aug 27 13:57:36 2021
Summary:     Recommended update for bzip2
Type:        recommended
Severity:    moderate
References:  1188891
This update for bzip2 fixes the following issues:

- Disable a optimization that caused crashes with libarchive due to
  uninitialized memory. (bsc#1188891)
- Fixed bashisms in bzgrep and bznew

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2021:2903-1
Released:    Wed Sep  1 13:09:42 2021
Summary:     Recommended update for cracklib
Type:        recommended
Severity:    moderate
References:  1188698
This update for cracklib fixes the following issue:

- Provide 'cracklib-dict-small' to SUSE Linux Enterprise Server 12-SP5 (bsc#1188698)
  
-----------------------------------------------------------------
Advisory ID: SUSE-SU-2021:2930-1
Released:    Thu Sep  2 14:48:43 2021
Summary:     Security update for file
Type:        security
Severity:    important
References:  1154661,CVE-2019-18218
This update for file fixes the following issues:

- CVE-2019-18218: Fixed heap-based buffer overflow in cdf_read_property_info in cdf.c (bsc#1154661).

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2021:2936-1
Released:    Thu Sep  2 21:14:49 2021
Summary:     Recommended update for zypper
Type:        recommended
Severity:    low
References:  1187466
This update for zypper fixes the following issues:

- Fix for man: point out more clearly that patches update affected packages to the latest available version. (bsc#1187466)